From 62f5498d01d324c4eca262d747858e1726912c20 Mon Sep 17 00:00:00 2001
From: Kevin Wolf <kwolf@redhat.com>
Date: Thu, 13 Nov 2014 12:13:03 +0100
Subject: [PATCH 23/48] Revert "Build ceph/rbd only for rhev"

Message-id: <1415880786-30389-2-git-send-email-kwolf@redhat.com>
Patchwork-id: 62362
O-Subject: [RHEV-7.1 qemu-kvm-rhev PATCH 1/4] Revert "Build ceph/rbd only for rhev"
Bugzilla: 1140744
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
RH-Acked-by: Max Reitz <mreitz@redhat.com>

This reverts commit 192adebda1993784520098bee2d4f456c0b0e2ab.

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>

Conflicts:
	configure
	redhat/qemu-kvm.spec.template

Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 block/Makefile.objs           |  2 +-
 configure                     | 12 +-----------
 redhat/qemu-kvm.spec.template |  1 -
 3 files changed, 2 insertions(+), 13 deletions(-)

diff --git a/block/Makefile.objs b/block/Makefile.objs
index 557bca3..e078f17 100644
--- a/block/Makefile.objs
+++ b/block/Makefile.objs
@@ -15,7 +15,7 @@ block-obj-y += nbd.o nbd-client.o sheepdog.o
 block-obj-$(CONFIG_LIBISCSI) += iscsi.o
 block-obj-$(CONFIG_LIBNFS) += nfs.o
 block-obj-$(CONFIG_CURL) += curl.o
-block-obj-$(CONFIG_CEPH_SUPPORT) += rbd.o
+block-obj-y += rbd.o
 block-obj-$(CONFIG_GLUSTERFS) += gluster.o
 block-obj-$(CONFIG_LIBSSH2) += ssh.o
 endif
diff --git a/configure b/configure
index 0d0c788..3748ccf 100755
--- a/configure
+++ b/configure
@@ -335,9 +335,9 @@ vhdx=""
 quorum=""
 live_block_ops="yes"
 live_block_migration="no"
-ceph_support="yes"
 numa=""
 
+
 # parse CC options first
 for opt do
   optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'`
@@ -1131,10 +1131,6 @@ for opt do
   ;;
   --enable-live-block-migration) live_block_migration="yes"
   ;;
-  --disable-ceph-support) ceph_support="no"
-  ;;
-  --enable-ceph-support) ceph_support="yes"
-  ;;
   *)
       echo "ERROR: unknown option $opt"
       echo "Try '$0 --help' for more information"
@@ -1406,8 +1402,6 @@ Advanced options (experts only):
   --enable-live-block-ops  enable live block operations support
   --disable-live-block-migration disable live block migration
   --enable-live-block-migration  enable live block migration
-  --disable-ceph-support   disable support for rbd block driver support
-  --enable-ceph-support    enable support for rbd block driver support
   --disable-numa           disable libnuma support
   --enable-numa            enable libnuma support
 
@@ -4701,10 +4695,6 @@ if test "$live_block_migration" = "yes" ; then
   echo "CONFIG_LIVE_BLOCK_MIGRATION=y" >> $config_host_mak
 fi
 
-if test "$ceph_support" = "yes"; then
-  echo "CONFIG_CEPH_SUPPORT=y" >> $config_host_mak
-fi
-
 # USB host support
 if test "$libusb" = "yes"; then
   echo "HOST_USB=libusb legacy" >> $config_host_mak
-- 
1.8.3.1

